#!/bin/bash

# This file is called whenever the OpenDSA repo was updated. This means we should re-check
# the requirements.txt file and restart the service.

# Note: This file is executed as root, so we drop back to the opendsa user before starting pip.

function update_pip() {
    cd
    python3 -m pip install --user -r OpenDSA/server/requirements.txt
}

export -f update_pip

# Run PIP as OpenDSA.
sudo --user opendsa --group opendsa --set-home --preserve-env=update_pip -- bash -c update_pip

# Then, we can restart the service.
systemctl service restart opendsa.service
